it-swarm.com.de

Conjure-up-Ausnahme: Die Juju-Version konnte nicht ermittelt werden

Ich versuche zu zaubern und bekomme immer das Folgende:

Traceback (most recent call last):
  File "/snap/conjure-up/133/bin/conjure-up", line 11, in <module>
    sys.exit(main())
  File "/snap/conjure-up/133/lib/python3.6/site-packages/conjureup/app.py", line 208, in main
    utils.juju_version()))
  File "/snap/conjure-up/133/lib/python3.6/site-packages/conjureup/utils.py", line 129, in juju_version
    raise Exception("Could not determine Juju version.")
Exception: Could not determine Juju version.

Ich habe mich an die einfache Anleitung der Dokumentation gehalten, in der Folgendes ausgeführt wird:

Sudo snap install conjure-up --classic
conjure-up

Kann ich Hilfe bekommen,
Danke

2
Ahmed Elsadig

Ich hatte den gleichen Fehler in einem VM mit Ubuntu-Server 16.04 LTS, das einzige, was zur Behebung benötigt wurde, war die Aktualisierung der Systempakete

Sudo apt-get update
Sudo apt-get upgrade

Nach dem Update hat es beim Ausführen von "conjure-up" richtig angefangen

1
Carlos

Überprüfen Sie Ihre Juju-Version:

juju version

Wenn die Ausgabe ungefähr so ​​aussieht:

The program 'juju' can be found in the following packages:
* juju-2.0
* juju-1-default
Ask your administrator to install one of them

überprüfen Sie Ihre Umgebungsvariable $PATH:

echo $PATH

Wenn die Variable keinen Pfad /snap/bin enthält, fügen Sie ihn einfach wie folgt hinzu:

export PATH="/snap/bin/:$PATH"
export PATH="/usr/bin/snap:$PATH"

Ich hoffe, Sie können jetzt ohne Fehler zaubern.

1
srtqn

Ich musste Juju von Snap installieren, damit dies funktioniert (oben ausprobiert, aber nicht funktioniert).

Sudo snap install juju --classic
1
ozn

In einigen Fällen, in denen Sie möglicherweise zuvor eine Deb-Installation von Juju und/oder Conjure-Up durchgeführt haben, müssen Sie möglicherweise die Shell beenden (oder sich vollständig abmelden), bevor die Snap-Version von Conjure-Up funktioniert.

0
battlemidget

Ich hatte die gleiche Fehlermeldung auf Ubuntu 16.04 Ich konnte das Problem beheben, indem Sie:

  1. Sudo usermod -a -G lxd <USER>
  2. newgrp lxd
  3. conjure-up
0
starsky_70